---
title: 'null'
slug: Web/JavaScript/Reference/Global_Objects/null
tags:
  - JavaScript
  - Language feature
  - Literal
  - Primitive
---
<div>{{jsSidebar("Operators")}}</div>

<p>The value <code>null</code> represents the intentional absence of any object value. It is one of JavaScript's <a href="/en-US/docs/Glossary/Primitive">primitive values</a> and is treated as <a href="/en-US/docs/Glossary/Falsy">falsy</a> for boolean operations.</p>

<div>{{EmbedInteractiveExample("pages/js/globalprops-null.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">null</pre>

<h2 id="Description">Description</h2>

<p>The value <code>null</code> is written with a literal: <code>null</code>. <code>null</code> is not an identifier for a property of the global object, like {{jsxref("Global_Objects/undefined","undefined")}} can be. Instead, <code>null</code> expresses a lack of identification, indicating that a variable points to no object. In APIs, <code>null</code> is often retrieved in a place where an object can be expected but no object is relevant. </p>

<pre class="syntaxbox notranslate">// foo does not exist. It is not defined and has never been initialized:
foo; //ReferenceError: foo is not defined</pre>

<pre class="syntaxbox notranslate">// foo is known to exist now but it has no type or value:
var foo = null;
foo; //null
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Difference_between_null_and_undefined">Difference between <code>null</code> and <code>undefined</code></h3>

<p>When checking for <code>null</code> or <code>undefined</code>, beware of the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Comparison_Operators">differences between equality (==) and identity (===) operators</a>, as the former performs type-conversion.</p>

<pre class="brush: js notranslate">typeof null          // "object" (not "null" for legacy reasons)
typeof undefined     // "undefined"
null === undefined   // false
null  == undefined   // true
null === null        // true
null == null         // true
!null                // true
isNaN(1 + null)      // false
isNaN(1 + undefined) // true</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-null-value', 'null value')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.null")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("undefined")}}</li>
 <li>{{jsxref("NaN")}}</li>
 <li>
  <p>{{jsxref("Operators/void", "void operator")}}</p>
 </li>
</ul>
